Subject: Re: bug#75755: feature/igc: Missing IGC_CHECK_RES?

From: Stefan Kangas <[email-masked]>
Date: Fri, 24 Jan 2025 18:02:11 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Thu, 23 Jan 2025 15:32:16 -0600
>> Cc: [email-masked], [email-masked], [email-masked],
>> 	[email-masked], [email-masked], [email-masked]
>>
>> >> Please let me know what you think of my most recent patch.  If you want
>> >> something different, may I ask that you send a patch?  I don't think
>> >> I understand if your idea is different from what I posted.  Thanks.
>> >
>> > Your patch still uses _mps_RES_ENUM, which is a macro that's not
>> > supposed to be used outside of MPS.  Isn't that so?  I thought all
>> > this discussion was how to avoid using that macro, wasn't it?
>>
>> AFAIU, the patch I proposed removes that macro.  I just now grepped for
>> _mps_RES_ENUM after applying it, and couldn't find any matches in my
>> tree.  Are you seeing something different?
>
> Yes, I was looking at a stale igc.c, so I didn't see that
> mps_res_to_string was modified exactly as I suggested to do.

No problem, and thanks.  Installed on feature/igc as commit 2ce718a5274.